Daemon Power

The NetBSD Packages Collection: graphics/ruby-mini-magick

Brief description of the package:
Ruby wrapper for ImageMagick command line

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/minimagick/minimagick.

Please note that this package has a mit license.

The package is located in the "graphics/ruby-mini-magick" directory. The current source version of the package is "ruby23-mini-magick-4.8.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for graphics/ruby-mini-magick :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ImageMagick-[0-9]* pkgconf-[0-9]* cwrappers>=20150314 openjpeg>=2.1.0 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 png>=1.2.4 png>=1.6.0nb1 libltdl>=2.4.2 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.1.0 fftw>=3.0 ghostscript>=8.63nb1 ghostscript-gpl-[0-9]* ghostscript-fonts>=6.0 perl>=5.0 libxcb>=1.6 libXdmcp>=0.99 xproto>=7.0.9 libXau>=1.0 xcb-proto>=1.12 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 libpaper>=1.1.22 fontconfig>=2.10.93nb2 x11-links>=1.06 osabi-NetBSD-7.0.1 libltdl>=2.2.6 libwebp>=0.6.0 fftw>=3.1nb1 ghostscript>=9.05nb9 ruby23-base>=2.3.5 libyaml>=0.1.1 libyaml>=0.1.4 .

This package requires the following package(s) to run: ImageMagick-[0-9]* pkgconf-[0-9]* openjpeg>=2.1.0 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 png>=1.2.4 png>=1.6.0nb1 libltdl>=2.4.2 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.1.0 fftw>=3.0 ghostscript>=8.63nb1 ghostscript-gpl-[0-9]* ghostscript-fonts>=6.0 perl>=5.0 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 libpaper>=1.1.22 fontconfig>=2.10.93nb2 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libltdl>=2.2.6 libwebp>=0.6.0 fftw>=3.1nb1 ghostscript>=9.05nb9 libxml2>=2.8.0nb2 ruby23-base>=2.3.5 libyaml>=0.1.1 libyaml>=0.1.4 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby21-mini-magick-4.4.0.tgz(NetBSD 7.0)
alpha:ruby22-mini-magick-4.4.0.tgz(NetBSD 7.0)
alpha:ruby23-mini-magick-4.4.0.tgz(NetBSD 7.0)
arm:ruby200-mini-magick-3.7.0.tgz(NetBSD 6.1_STABLE)
earm:ruby200-mini-magick-4.3.6.tgz(NetBSD 7.0)
earm:ruby22-mini-magick-4.3.6.tgz(NetBSD 7.0)
earmv6hf:ruby193-mini-magick-4.1.0.tgz(NetBSD 7.0)
earmv6hf:ruby200-mini-magick-4.1.0.tgz(NetBSD 7.0)
earmv6hf:ruby21-mini-magick-4.1.0.tgz(NetBSD 7.0)
earmv6hf:ruby200-mini-magick-4.3.6.tgz(NetBSD 7.0)
earmv6hf:ruby21-mini-magick-4.3.6.tgz(NetBSD 7.0)
earmv6hf:ruby22-mini-magick-4.3.6.tgz(NetBSD 7.0)
earmv7hf:ruby200-mini-magick-4.3.6.tgz(NetBSD 7.0)
earmv7hf:ruby21-mini-magick-4.3.6.tgz(NetBSD 7.0)
earmv7hf:ruby22-mini-magick-4.3.6.tgz(NetBSD 7.0)
earmv7hf:ruby193-mini-magick-4.3.5.tgz(NetBSD 7.0)
earmv7hf:ruby200-mini-magick-4.3.5.tgz(NetBSD 7.0)
earmv7hf:ruby21-mini-magick-4.3.5.tgz(NetBSD 7.0)
earmv7hf:ruby22-mini-magick-4.3.5.tgz(NetBSD 7.0)
earmv7hf:ruby22-mini-magick-4.7.2.tgz(NetBSD 8.0_BETA)
earmv7hf:ruby23-mini-magick-4.7.2.tgz(NetBSD 8.0_BETA)
i386:ruby21-mini-magick-4.4.0.tgz(NetBSD 6.0)
i386:ruby22-mini-magick-4.4.0.tgz(NetBSD 6.0)
i386:ruby23-mini-magick-4.4.0.tgz(NetBSD 6.0)
i386:ruby21-mini-magick-4.5.1.tgz(NetBSD 6.0)
i386:ruby22-mini-magick-4.5.1.tgz(NetBSD 6.0)
i386:ruby23-mini-magick-4.5.1.tgz(NetBSD 6.0)
i386:ruby21-mini-magick-4.6.1.tgz(NetBSD 6.0)
i386:ruby22-mini-magick-4.6.1.tgz(NetBSD 6.0)
i386:ruby23-mini-magick-4.6.1.tgz(NetBSD 6.0)
i386:ruby22-mini-magick-4.7.2.tgz(NetBSD 6.0)
i386:ruby23-mini-magick-4.7.2.tgz(NetBSD 6.0)
i386:ruby24-mini-magick-4.7.2.tgz(NetBSD 6.0)
i386:ruby21-mini-magick-4.4.0.tgz(NetBSD 6.1)
i386:ruby22-mini-magick-4.4.0.tgz(NetBSD 6.1)
i386:ruby23-mini-magick-4.4.0.tgz(NetBSD 6.1)
i386:ruby21-mini-magick-4.5.1.tgz(NetBSD 6.1)
i386:ruby22-mini-magick-4.5.1.tgz(NetBSD 6.1)
i386:ruby23-mini-magick-4.5.1.tgz(NetBSD 6.1)
i386:ruby21-mini-magick-4.4.0.tgz(NetBSD 7.0)
i386:ruby22-mini-magick-4.4.0.tgz(NetBSD 7.0)
i386:ruby23-mini-magick-4.4.0.tgz(NetBSD 7.0)
i386:ruby21-mini-magick-4.5.1.tgz(NetBSD 7.0)
i386:ruby22-mini-magick-4.5.1.tgz(NetBSD 7.0)
i386:ruby23-mini-magick-4.5.1.tgz(NetBSD 7.0)
i386:ruby21-mini-magick-4.6.1.tgz(NetBSD 7.0)
i386:ruby22-mini-magick-4.6.1.tgz(NetBSD 7.0)
i386:ruby23-mini-magick-4.6.1.tgz(NetBSD 7.0)
i386:ruby22-mini-magick-4.7.2.tgz(NetBSD 7.0)
i386:ruby23-mini-magick-4.7.2.tgz(NetBSD 7.0)
i386:ruby24-mini-magick-4.7.2.tgz(NetBSD 7.0)
i386:ruby18-mini-magick-3.3nb1.tgz(QNX 6.5.0)
i386:ruby19-mini-magick-3.3nb1.tgz(QNX 6.5.0)
powerpc:ruby24-mini-magick-4.7.2.tgz(NetBSD 6.1)
powerpc:ruby200-mini-magick-4.3.6.tgz(NetBSD 7.0)
powerpc:ruby21-mini-magick-4.3.6.tgz(NetBSD 7.0)
powerpc:ruby22-mini-magick-4.3.6.tgz(NetBSD 7.0)
powerpc:ruby22-mini-magick-4.7.2.tgz(NetBSD 7.1)
powerpc:ruby23-mini-magick-4.7.2.tgz(NetBSD 7.1)
powerpc:ruby24-mini-magick-4.7.2.tgz(NetBSD 7.1)
powerpc:ruby22-mini-magick-4.8.0.tgz(NetBSD 7.1)
powerpc:ruby23-mini-magick-4.8.0.tgz(NetBSD 7.1)
powerpc:ruby24-mini-magick-4.8.0.tgz(NetBSD 7.1)
powerpc:ruby22-mini-magick-4.7.2.tgz(NetBSD 8.0)
powerpc:ruby23-mini-magick-4.7.2.tgz(NetBSD 8.0)
powerpc:ruby24-mini-magick-4.7.2.tgz(NetBSD 8.0)
sparc64:ruby193-mini-magick-4.2.7.tgz(NetBSD 7.0)
sparc64:ruby200-mini-magick-4.2.7.tgz(NetBSD 7.0)
sparc64:ruby21-mini-magick-4.2.7.tgz(NetBSD 7.0)
sparc64:ruby22-mini-magick-4.2.7.tgz(NetBSD 7.0)
x86_64:ruby21-mini-magick-4.4.0.tgz(NetBSD 6.0)
x86_64:ruby22-mini-magick-4.4.0.tgz(NetBSD 6.0)
x86_64:ruby23-mini-magick-4.4.0.tgz(NetBSD 6.0)
x86_64:ruby21-mini-magick-4.5.1.tgz(NetBSD 6.0)
x86_64:ruby22-mini-magick-4.5.1.tgz(NetBSD 6.0)
x86_64:ruby23-mini-magick-4.5.1.tgz(NetBSD 6.0)
x86_64:ruby21-mini-magick-4.6.1.tgz(NetBSD 6.0)
x86_64:ruby22-mini-magick-4.6.1.tgz(NetBSD 6.0)
x86_64:ruby23-mini-magick-4.6.1.tgz(NetBSD 6.0)
x86_64:ruby22-mini-magick-4.7.2.tgz(NetBSD 6.0)
x86_64:ruby23-mini-magick-4.7.2.tgz(NetBSD 6.0)
x86_64:ruby24-mini-magick-4.7.2.tgz(NetBSD 6.0)
x86_64:ruby21-mini-magick-4.4.0.tgz(NetBSD 6.1)
x86_64:ruby22-mini-magick-4.4.0.tgz(NetBSD 6.1)
x86_64:ruby23-mini-magick-4.4.0.tgz(NetBSD 6.1)
x86_64:ruby21-mini-magick-4.5.1.tgz(NetBSD 6.1)
x86_64:ruby22-mini-magick-4.5.1.tgz(NetBSD 6.1)
x86_64:ruby23-mini-magick-4.5.1.tgz(NetBSD 6.1)
x86_64:ruby21-mini-magick-4.6.1.tgz(NetBSD 6.1)
x86_64:ruby22-mini-magick-4.6.1.tgz(NetBSD 6.1)
x86_64:ruby23-mini-magick-4.6.1.tgz(NetBSD 6.1)
x86_64:ruby22-mini-magick-4.7.2.tgz(NetBSD 6.1)
x86_64:ruby23-mini-magick-4.7.2.tgz(NetBSD 6.1)
x86_64:ruby24-mini-magick-4.7.2.tgz(NetBSD 6.1)
x86_64:ruby22-mini-magick-4.8.0.tgz(NetBSD 7.0)
x86_64:ruby23-mini-magick-4.8.0.tgz(NetBSD 7.0)
x86_64:ruby24-mini-magick-4.8.0.tgz(NetBSD 7.0)
x86_64:ruby21-mini-magick-4.4.0.tgz(NetBSD 7.0)
x86_64:ruby22-mini-magick-4.4.0.tgz(NetBSD 7.0)
x86_64:ruby23-mini-magick-4.4.0.tgz(NetBSD 7.0)
x86_64:ruby21-mini-magick-4.5.1.tgz(NetBSD 7.0)
x86_64:ruby22-mini-magick-4.5.1.tgz(NetBSD 7.0)
x86_64:ruby23-mini-magick-4.5.1.tgz(NetBSD 7.0)
x86_64:ruby21-mini-magick-4.6.1.tgz(NetBSD 7.0)
x86_64:ruby22-mini-magick-4.6.1.tgz(NetBSD 7.0)
x86_64:ruby23-mini-magick-4.6.1.tgz(NetBSD 7.0)
x86_64:ruby22-mini-magick-4.7.2.tgz(NetBSD 7.0)
x86_64:ruby23-mini-magick-4.7.2.tgz(NetBSD 7.0)
x86_64:ruby24-mini-magick-4.7.2.tgz(NetBSD 7.0)
x86_64:ruby22-mini-magick-4.7.2.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-mini-magick-4.7.2.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby24-mini-magick-4.7.2.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby22-mini-magick-4.7.2.tgz(NetBSD 8.99.1)
x86_64:ruby23-mini-magick-4.7.2.tgz(NetBSD 8.99.1)
x86_64:ruby24-mini-magick-4.7.2.tgz(NetBSD 8.99.1)
x86_64:ruby22-mini-magick-4.7.2.tgz(NetBSD 8.99.1)
x86_64:ruby23-mini-magick-4.7.2.tgz(NetBSD 8.99.1)
x86_64:ruby24-mini-magick-4.7.2.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]